Tenant dashboard summary
curl --request GET \
--url https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/summary \
--header 'Authorization: Bearer <token>' \
--header 'Tenant-Id: <tenant-id>'import requests
url = "https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/summary"
headers = {
"Tenant-Id": "<tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Tenant-Id': '<tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_resources": 123,
"total_environments": 123,
"total_projects": 123,
"last_audit_logs": [
{
"id": "<string>",
"sk": "<string>",
"type_pk": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"audit_log_type": "<string>",
"changes": [
{
"field": "<string>",
"old": "<string>",
"new": "<string>"
}
],
"changes_json": "<string>",
"username": "<string>"
}
],
"workflow_summary": {
"total_workflows": 123,
"success_workflows": 123,
"failed_workflows": 123,
"last_workflows": [
{
"id": "<string>",
"sk": "<string>",
"type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "PENDING",
"state_records": [
{
"state": "PENDING",
"resource_status": "<string>",
"resource_type": "<string>",
"logical_resource_id": "<string>",
"resource_status_reason": "<string>",
"detailed_status": "<string>",
"state_date": "2023-11-07T05:31:56Z"
}
],
"actor": "<string>",
"prev_stack": "<string>",
"new_stack": "<string>",
"project_id": "<string>",
"project_name": "<string>",
"environment_id": "<string>",
"environment_name": "<string>",
"resources_ids": [
"<string>"
],
"duration": 123
}
],
"faster_workflows": [
{
"id": "<string>",
"sk": "<string>",
"type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "PENDING",
"state_records": [
{
"state": "PENDING",
"resource_status": "<string>",
"resource_type": "<string>",
"logical_resource_id": "<string>",
"resource_status_reason": "<string>",
"detailed_status": "<string>",
"state_date": "2023-11-07T05:31:56Z"
}
],
"actor": "<string>",
"prev_stack": "<string>",
"new_stack": "<string>",
"project_id": "<string>",
"project_name": "<string>",
"environment_id": "<string>",
"environment_name": "<string>",
"resources_ids": [
"<string>"
],
"duration": 123
}
],
"slowest_workflows": [
{
"id": "<string>",
"sk": "<string>",
"type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "PENDING",
"state_records": [
{
"state": "PENDING",
"resource_status": "<string>",
"resource_type": "<string>",
"logical_resource_id": "<string>",
"resource_status_reason": "<string>",
"detailed_status": "<string>",
"state_date": "2023-11-07T05:31:56Z"
}
],
"actor": "<string>",
"prev_stack": "<string>",
"new_stack": "<string>",
"project_id": "<string>",
"project_name": "<string>",
"environment_id": "<string>",
"environment_name": "<string>",
"resources_ids": [
"<string>"
],
"duration": 123
}
]
}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}Costs and usage
Tenant dashboard summary
GET
/
summary
Tenant dashboard summary
Authorizations
BearerAuthApiKeyAuth
Bearer token in the Authorization header (e.g. JWT / Cognito access token).
Headers
ID of the tenant (current tenant context).